fife (0.4.2-11) unstable; urgency=medium

  * Team upload.
  * Add patch to build against Boost 1.85+ (Closes: #1110573)
  * Add patch to simulate older SWIG behavior (Closes: #1131710, #1068885)

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 23 Mar 2026 18:39:19 +0100

fife (0.4.2-10) unstable; urgency=medium

  * Team upload.
  * Patch for CMake 4 (Closes: #1112911)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 Oct 2025 15:01:14 +0200

fife (0.4.2-9) unstable; urgency=medium

  * Team upload.
  * Remove undeclared usage of future (Closes: #1089510)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 26 Dec 2024 00:38:10 +0100

fife (0.4.2-8) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-setuptools (Closes: #1080600)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Sep 2024 18:08:32 +0200

fife (0.4.2-7) unstable; urgency=medium

  * Team upload.
  * Trim trailing whitespace.
  * Fix watch file
  * Modernize d/rules with newer syntax
  * Janitor: add upstream metadata
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 17:00:18 +0200

fife (0.4.2-6) unstable; urgency=medium

  * Team upload.
  * debian/patches/0005-Fix-build-against-boost-1.77.0.patch:
    Add patch to fix FTBFS with boost1.83 rebuild. (Closes: #1056081)

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Dec 2023 14:28:44 -0500

fife (0.4.2-5) unstable; urgency=medium

  * Team upload.
  * Fix used-with-a-literal warnings at install time", cherrypicking
    upstream fixes. (Closes: #993132)

 -- Tobias Frost <tobi@debian.org>  Sun, 28 Aug 2022 15:47:43 +0200

fife (0.4.2-4) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * debian/rules: Set CMAKE_CXX_FLAGS_RELEASE to avoid forcing -O3 on non-i386
    32bit
  * debian/rules: Disable all C++ debug info on mipsel
  * debian/rules: Don't force non-parallel building on non-i386 32bit.
    Available RAM is not an issue (2/3/4 GB address space limitation is).
    (Closes: #1008799)

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Apr 2022 16:24:36 +0200

fife (0.4.2-3) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Fix crash on startup with xml AttributeError. (Closes: #978657)

 -- Markus Koschany <apo@debian.org>  Sat, 20 Feb 2021 00:51:06 +0100

fife (0.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/0001-sdl2-config.patch (Closes: #951962).
  * Add debian/patches/0002-swig4.patch (Closes: #953016).
  * Remove all Breaks.
    - "unknown-horizons (<< 2013.1)" is not even in oldoldstable.
    - ${python:Breaks} (or ${python3:Breaks}) is undefined.
  * Switch to debhelper-compat 12. Remove file debian/compat.
  * Add Rules-Requires-Root: no.
  * Use HTTPS in Homepage.
  * Declare compliance with Debian Policy 4.5.0.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 29 Mar 2020 16:59:10 +0300

fife (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.2.
  * Tighten B-D on libfifechan-dev.
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Mon, 14 Jan 2019 21:07:03 +0100

fife (0.4.1+git20180904-2) unstable; urgency=medium

  * Team upload.
  * Build the Python 3 version of fife from now on.

 -- Markus Koschany <apo@debian.org>  Thu, 06 Sep 2018 15:05:18 +0200

fife (0.4.1+git20180904-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.1+git20180904.
  * Remove glee-dev from Build-Depends. Build-depend on libglew-dev instead.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Build for any again and try to avoid memory exhaustion by using -g1 on 32
    bit architectures. (Closes: #718274)
  * Use new dh_missing override.

 -- Markus Koschany <apo@debian.org>  Tue, 04 Sep 2018 15:08:24 +0200

fife (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Stop building fife on mips and mipsel due to architecture limitations which
    cause FTBFS and prevent newer versions from migrating to testing.
    Add alpha to WEAK_HOSTS and hope it builds again.

 -- Markus Koschany <apo@debian.org>  Wed, 19 Jul 2017 22:54:31 +0200

fife (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.1.
  * Add get-orig-source target.
  * Declare compliance with Debian Policy 4.0.0.
  * Tighten build-dependency on libfifechan-dev to >= 0.1.4.
  * Use https for Format field.
  * Change homepage link to http://www.fifengine.net/. (Closes: #854620)

 -- Markus Koschany <apo@debian.org>  Fri, 07 Jul 2017 11:26:24 +0200

fife (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: Try to prevent build failures on mips and mipsel by using
    a single thread only and building with CMAKE_BUILD_TYPE=MinSizeRel.

 -- Markus Koschany <apo@debian.org>  Sun, 22 Jan 2017 01:16:48 +0100

fife (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_install --fail-missing to detect when files are not installed
    into the resulting binary package.
  * debian/rules: Pass --buildsystem=cmake to dh. (Closes: #851998)
  * Add clean file and ensure that fife can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Fri, 20 Jan 2017 20:11:52 +0100

fife (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.0.
  * Tighten build-dependency on libfifechan-dev.
  * Drop all patches.
  * Switch from Scons to CMake.
  * Fix Lintian warning "extra license file".

 -- Markus Koschany <apo@debian.org>  Thu, 19 Jan 2017 23:58:16 +0100

fife (0.3.5+git160920-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.3.5+git160920.
  * Use compat level 10.
  * Add libfifechan-dev to Build-Depends.
  * Drop all patches. Fixed upstream.
  * Add debian/watch file. Thanks to Bart Martens.
  * Simplify debian/rules.
  * Switch from SDL1 to SDL2.
  * Delete static libraries to ensure that fife can be built twice in a row.
  * Remove debian/clean file.
  * Drop libguichan-dev from Build-Depends. It is obsolete now.
  * Add endif.patch and fix a FTBFS.

 -- Markus Koschany <apo@debian.org>  Mon, 07 Nov 2016 20:27:27 +0100

fife (0.3.5-3) unstable; urgency=medium

  * Team upload.
  * Use compat level 9.
  * Vcs fields: Use https.
  * Declare compliance with Debian Policy 3.9.8.
  * wrap-and-sort -sa.
  * Add gcc6.diff and fix FTBFS with GCC-6.
    Thanks to Martin Michlmayr for the report and Graham Inggs for the patch.
    (Closes: #811858)
  * Add dh-python to Build-Depends.

 -- Markus Koschany <apo@debian.org>  Fri, 02 Sep 2016 22:45:56 +0200

fife (0.3.5-2) unstable; urgency=medium

  * Team upload.
  * Link gnukfreebsd10-config.py to gnukfreebsd9-config.py, this
    to fix builderror on kfreebsd. (Closes: #821765)
  * Add ext/guichan-0.8.2/config.(guess|sub) to d/clean

 -- Tobias Frost <tobi@debian.org>  Sat, 23 Apr 2016 21:46:57 +0200

fife (0.3.5-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sun, 01 Sep 2013 16:48:59 +0200

fife (0.3.4-2) experimental; urgency=low

  * Break older unknown-horizons as it only works with matching fife
    versions (Closes: #703214)

 -- Christoph Egger <christoph@debian.org>  Sun, 17 Mar 2013 17:53:43 +0100

fife (0.3.4-1) experimental; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sat, 02 Mar 2013 16:06:30 -0800

fife (0.3.3+r3-3) unstable; urgency=low

  * Include NMU by Anton Gladky, thanks!

 -- Christoph Egger <christoph@debian.org>  Sun, 30 Dec 2012 12:53:30 -0800

fife (0.3.3+r3-2) unstable; urgency=low

  * Import upstream (SVN 3949) patch to fix memory leaking (Closes:
    #696676)

 -- Christoph Egger <christoph@debian.org>  Sat, 29 Dec 2012 16:36:26 -0800

fife (0.3.3+r3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add engine/core/util/utf8/utf8* to copyright file (Closes: #690370)
  * Use packaged version of Glee-library to fix lintian embedded-library
    autoreject tag.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 24 Oct 2012 21:15:06 +0200

fife (0.3.3+r3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libpng-dev
  * Enable testsuite instead of striping it from the tarball as it is
    free now

 -- Christoph Egger <christoph@debian.org>  Sun, 22 Apr 2012 20:31:31 +0200

fife (0.3.3+r2+dfsg1-4) unstable; urgency=low

  * Import patch from upstream to add support for smaller widescreen
    displays and fixes crashes on such systems (Closes: #655861)
  * Set Maintainer to Debian Games Team, me to uploader
  * Add VCS git URLs

 -- Christoph Egger <christoph@debian.org>  Sat, 14 Jan 2012 13:50:13 +0100

fife (0.3.3+r2+dfsg1-3) unstable; urgency=low

  * Add hurd as well

 -- Christoph Egger <christoph@debian.org>  Mon, 26 Dec 2011 09:36:05 +0100

fife (0.3.3+r2+dfsg1-2) unstable; urgency=low

  * Add kFreeBSD support (pretend being linux2)

 -- Christoph Egger <christoph@debian.org>  Fri, 23 Dec 2011 20:15:29 +0000

fife (0.3.3+r2+dfsg1-1) unstable; urgency=low

  * New upstream release
  * First release in proper Debian (Closes: #632360)

 -- Christoph Egger <christoph@debian.org>  Tue, 15 Nov 2011 16:00:36 +0100

fife (0.3.2+svn3687-1) weekly; urgency=low

  * New SVN Snapshot

 -- Christoph Egger <christoph@debian.org>  Thu, 23 Jun 2011 15:11:25 +0200

fife (0.3.2+svn3593-2) unstable; urgency=low

  * fix building with python2.7 around

 -- Christoph Egger <christoph@unknown-horizons.org>  Sat, 16 Apr 2011 19:53:11 +0200

fife (0.3.2+svn3593-1) unstable; urgency=low

  * new snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Mon, 04 Apr 2011 17:13:48 +0200

fife (0.3.2+svn3587) unstable; urgency=low

  * new snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Sun, 13 Feb 2011 16:19:17 +0100

fife (0.3.1+svn3431-1) unstable; urgency=low

  * Initial release.

 -- Christoph Egger <christoph@unknown-horizons.org>  Thu, 16 Sep 2010 18:23:07 +0200
